Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I was trying to install nfs-common and received the following errors

root@ni-cr-ald-ngs1://usr/src# apt-get install nfs-common Reading package lists... Done Building dependency tree
Reading state information... Done You might want to run 'apt-get -f install' to correct these: The following packages have unmet dependencies: linux-headers-3.2.0-40-generic : Depends: linux-headers-3.2.0-40 but it is not going to be installed nfs-common : Depends: libgssglue1 but it is not going to be installed Depends: libnfsidmap2 but it is not going to be installed Depends: libtirpc1 but it is not going to be installed Depends: rpcbind (>= 0.2.0-6ubuntu1) but it is not going to be installed E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).

I followed the advice and ran apt-get -f install and received errors about disk space. I checked and none of my file systems are full.

root@ni-cr-ald-ngs1://usr/src# apt-get -f install
Reading package lists... Done Building dependency tree
Reading state information... Done Correcting dependencies... Done The following packages were automatically installed and are no longer required: lib32bz2-1.0 libcdio10 pnm2ppa lp-solve libunique-1.0-0 linux-headers-3.0.0-20-server libgmime-2.4-2 libunity6 libcdio-paranoia0 lib32ncurses5 libicu44 hplip-cups linux-headers-3.0.0-29-generic lib32tinfo5 ubufox libtaglib2.0-cil libgkeyfile1.0-cil zeitgeist-extension-fts libgudev1.0-cil linux-headers-3.0.0-12 linux-headers-3.0.0-20 linux-headers-3.0.0-17 linux-headers-3.0.0-30 patchutils linux-headers-3.0.0-29 libtextcat-data libglew1.5 libproxy0 libdee-1.0-1 libgexiv2-0 libutouch-evemu1 libgnomevfs2-common libgupnp-1.0-3 linux-headers-3.0.0-12-server libutouch-geis1 libutouch-frame1 libwebkitgtk-1.0-common python-indicate libnux-1.0-common libindicator3-6 banshee libmysqlclient16 lib32ffi6 python-webkit python-aptdaemon.gtkwidgets linux-headers-3.0.0-30-server libindicator6 gir1.2-gconf-2.0 lib32asound2 libept1 linux-headers-3.0.0-29-server banshee-extension-soundmenu cups-driver-gutenprint libgnomevfs2-0 libmono-zeroconf1.0-cil libcolamd2.7.1 python-telepathy linux-headers-3.0.0-17-generic libidl0 libgdata1.7-cil libminiupnpc5 libnotify0.4-cil linux-headers-3.0.0-17-server libpoppler-glib6 python-aptdaemon-gtk libtextcat0 libgtk-sharp-beans-cil gnome-utils-common linux-headers-3.0.0-30-generic libhunspell-1.2-0 unity-2d-places libutouch-grail1 libjpeg62:i386 libquvi0 lib32ncursesw5 libexiv2-10 libgupnp-igd-1.0-3 gnome-desktop-data libgtkspell3-0 liborbit2 libnautilus-extension1 libwebkitgtk-1.0-0 gir1.2-dee-0.5 libcdio-cdda0 python-wnck lib32stdc++6 linux-headers-3.0.0-20-generic libglewmx1.5 min12xxw libnux-1.0-0 libgmime2.4-cil libnatpmp1 libpoppler13 dpatch unity-2d-launcher libgssdp-1.0-2 icc-profiles-free libllvm2.9 libllvm2.9:i386 Use 'apt-get autoremove' to remove them. The following extra packages will be installed: linux-headers-3.2.0-40 The following NEW packages will be installed: linux-headers-3.2.0-40 0 upgraded, 1 newly installed, 0 to remove and 554 not upgraded. 12 not fully installed or removed. Need to get 0 B/11.7 MB of archives. After this operation, 56.3 MB of additional disk space will be used. Do you want to continue [Y/n]? Y
(Reading database ... 394783 files and directories currently installed.) Unpacking linux-headers-3.2.0-40 (from .../linux-headers-3.2.0-40_3.2.0-40.64_all.deb) ... dpkg: error processing /var/cache/apt/archives/linux-headers-3.2.0-40_3.2.0-40.64_all.deb (--unpack): unable to create /usr/src/linux-headers-3.2.0-40/arch/arm/mach-shmobile/include/mach/zboot_macros.h.dpkg-new' (while processing./usr/src/linux-headers-3.2.0-40/arch/arm/mach-shmobile/include/mach/zboot_macros.h'): No space left on device No apport report written because the error message indicates a disk full error dpkg-deb: error: subprocess paste was killed by signal (Broken pipe) Errors were encountered while processing: /var/cache/apt/archives/linux-headers-3.2.0-40_3.2.0-40.64_all.deb E: Sub-process /usr/bin/dpkg returned an error code (1)

root@ni-cr-ald-ngs1://usr/src# df -h Filesystem Size Used Avail Use% Mounted on /dev/sda5 2.6G 1.5G 999M 60% / udev 24G 8.0K 24G 1% /dev tmpfs 9.5G 836K 9.5G 1% /run none 5.0M 0 5.0M 0% /run/lock none 24G 376K 24G 1% /run/shm cgroup 24G 0 24G 0% /sys/fs/cgroup /dev/mapper/vg01-lvol1 1.7T 671G 895G 43% /u01 /dev/sda6 1.9G 295M 1.5G 17% /tmp /dev/sda11 1.9G 1.5G 287M 84% /home /dev/sda2 139M 86M 46M 66% /boot /dev/sda9 5.5G 513M 4.8G 10% /opt /dev/sda7 5.5G 3.8G 1.5G 73% /usr /dev/sda8 5.5G 2.5G 2.8G 48% /var /dev/sda10 2.8G 1.6G 1.1G 60% /usr/local //ni-cr-svc-nas2/ald-ngs1 8.2T 4.5T 3.8T 55% /mnt/from-nas2 none 24G 1.1M 24G 1% /tmp/guest-UbLeyh root@ni-cr-ald-ngs1://usr/src#

I don't see how it says /usr is out of space, there is 1.5G free.

apt-get remove doesn't allow me to remove anything giving the errors about linux-headers-3.2.0-40-generic, but I'm actually booted off 3.2.0-38-generic

root@ni-cr-ald-ngs1:/usr/src# apt-get remove linux-headers-3.2.0-40-generic
Reading package lists... Done Building dependency tree
Reading state information... Done You might want to run 'apt-get -f install' to correct these: The following packages have unmet dependencies: linux-headers-generic : Depends: linux-headers-3.2.0-40-generic but it is not going to be installed linux-headers-server : Depends: linux-headers-3.2.0-40-generic but it is not going to be installed E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution). root@ni-cr-ald-ngs1:/usr/src#

root@ni-cr-ald-ngs1:/usr/src# uname -r

3.2.0-38-generic

I also do not see the 3.2.0-40 source directory which I believe is the actual problem since the links under /usr/src/3.2.0-40-generic point back to it.

root@ni-cr-ald-ngs1:/usr/src# ll linux-headers-3.2.0-40-generic/arch/arm lrwxrwxrwx 1 root root 37 Mar 25 2013 linux-headers-3.2.0-40-generic/arch/arm -> ../../linux-headers-3.2.0-40/arch/arm

root@ni-cr-ald-ngs1:/usr/src# file linux-headers-3.2.0-40-generic/arch/arm linux-headers-3.2.0-40-generic/arch/arm: broken symbolic link to `../../linux-headers-3.2.0-40/arch/arm'

My major goal is to get nfs running properly. But obviously I need to clean up my other issues.

any help would be greatly appreciated.

Thanks, Charlie

share|improve this question
    
Could you try formatting your question to make it a bit easier to read please? –  Roger Light Oct 21 '13 at 20:32

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Browse other questions tagged or ask your own question.